curl --request PATCH \
--url https://api.synctera.com/v2/evaluation_overrides/{evaluation_override_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"active_at": "2024-01-01T00:00:00.000Z",
"expires_at": "2025-12-31T23:59:59.000Z",
"reason": "Updated reason for override."
}
'import requests
url = "https://api.synctera.com/v2/evaluation_overrides/{evaluation_override_id}"
payload = {
"active_at": "2024-01-01T00:00:00.000Z",
"expires_at": "2025-12-31T23:59:59.000Z",
"reason": "Updated reason for override."
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
active_at: '2024-01-01T00:00:00.000Z',
expires_at: '2025-12-31T23:59:59.000Z',
reason: 'Updated reason for override.'
})
};
fetch('https://api.synctera.com/v2/evaluation_overrides/{evaluation_override_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"active_at": "2024-01-01T00:00:00.000Z",
"creation_time": "2010-05-06T12:23:34.321Z",
"customer_id": "5f4ff599-7c29-4f69-a3d9-e103e151afbd",
"id": "9b1deb4d-3b7d-4bad-9bdd-2b0d7b3dcb6d",
"last_updated_time": "2010-05-06T12:23:34.321Z",
"reason": "False positive - customer confirmed transaction is legitimate.",
"type": "FRAUD",
"account_id": "30044785-ddb0-4a51-be1c-402bd4ba2b2b",
"card_id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"expires_at": "2024-12-31T23:59:59.000Z",
"spend_control_id": "b2c3d4e5-f6a7-8901-bcde-f12345678901",
"transaction_id": "f387d971-d23b-4cc0-997a-7bc4f895fe9a"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}Update a risk evaluation override
Update evaluation override by ID.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Unique identifier of the evaluation override.
"74454076-c36b-44fb-8062-d1743d668236"
Body
The date and time when the evaluation override became active.
"2024-01-01T00:00:00.000Z"
The date and time when the evaluation override expires.
"2025-12-31T23:59:59.000Z"
The reason for the evaluation override.
"Updated reason for override."
Response
An updated risk evaluation override.
The date and time when the evaluation override became active.
"2024-01-01T00:00:00.000Z"
The date and time the evaluation was created.
"2010-05-06T12:23:34.321Z"
The unique identifier for the related customer.
"5f4ff599-7c29-4f69-a3d9-e103e151afbd"
The unique identifier for the evaluation override.
"9b1deb4d-3b7d-4bad-9bdd-2b0d7b3dcb6d"
The date and time the evaluation was last updated.
"2010-05-06T12:23:34.321Z"
The reason for the evaluation override.
"False positive - customer confirmed transaction is legitimate."
The type of evaluation override. Always present in responses; behavior and filtering depend on this field.
FRAUD, SPEND_CONTROL The unique identifier for the related customer account.
"30044785-ddb0-4a51-be1c-402bd4ba2b2b"
The unique identifier for the related card.
"a1b2c3d4-e5f6-7890-abcd-ef1234567890"
The date and time when the evaluation override expires.
"2024-12-31T23:59:59.000Z"
The unique identifier for the related spend control.
"b2c3d4e5-f6a7-8901-bcde-f12345678901"
The unique identifier for the transaction.
"f387d971-d23b-4cc0-997a-7bc4f895fe9a"
Was this page helpful?

